[en cours]Installer VLC

Conversations générales au sujet de Sabayon Linux

Moderator: Moderators

[en cours]Installer VLC

Postby commandant » Thu Apr 03, 2008 20:23

Bonjour à tous,
Je n'arrivais aucunement à lire de vidéos avec Mplayer, j'ai décidé d'installer VLC qui est bien plus à mon goût. Un petit
emerge vlc
s'est très bien passé, du moins pendant la compilation. En effet je n'arrive pas à le lancer, il n'apparait pas dans la liste des programmes et ne se lance pas lorsque l'on tape vlc dans un terminal.

Je suppose qu'il s'agit d'un sujet largement traité parceque la recherche sur le forum me renvoie beaucoup de réponses mais je n'ai rien trouvé de nature à résoudre mon problème.
Dell 4700 - Nvida
DualBoot Ubuntu 7.10 - Sabayon 3.4 [since 24-03-2008]
commandant
Baby Hen
 
Posts: 17
Joined: Wed Oct 03, 2007 19:13

Re: [en cours]Installer VLC

Postby fiorello » Thu Apr 03, 2008 21:34

Quand tu tape vlc dans un terminal poste les' eventuelles erreurs . Il est normal qu'il n'apparait pas dans la liste des programmes , tu dois l'ajouter manuellement en passant par le Centre De Contrôle KDE . :wink:
ASRock Fatal1ty Z68 Professional Gen3 _ Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz _ Nvidia GeForce GTX 560 TI _ AR5416 Wireless Network Adapter [AR5008802.11(a)bgn] _ Mémoire totale 8 Gio _ * linux4.4.0_Sabayon KDE
Image
User avatar
fiorello
Sagely Hen
 
Posts: 1074
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: [en cours]Installer VLC

Postby philisse » Fri Apr 04, 2008 0:25

Bonjour,

Si tu n'as pas eu de retour d'erreurs pendant la compilation
as-tu essayé ?
# revdep-rebuild vlc


a+

philisse
philisse
Baby Hen
 
Posts: 15
Joined: Mon Dec 11, 2006 14:53

Re: [en cours]Installer VLC

Postby commandant » Sat Apr 05, 2008 14:09

J'ai voulu refaire ça proprement. Je l'ai désinstallé et refait un emerge vlc, voila l'erreur de compil:
!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-video/vlc-0.9.0_alpha20080319/work/vlc-0.9.0-git/config.log
*
* ERROR: media-video/vlc-0.9.0_alpha20080319 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 3620: Called econf 'src_compile' 'src_compile' '--enable-glide' '--enable-a52' '--enable-aa' '--enable-faad' '--enable-alsa' '--disable-altivec' '--disable-arts' '--disable-asademux' '--enable-bonjour' '--enable-fribidi' '--enable-cdda' '--enable-cddax' '--disable-libcddb' '--disable-libcdio' '--disable-csri' '--disable-daap' '--enable-dbus' '--enable-dbus-control' '--disable-dirac' '--disable-directfb' '--disable-dc1394' '--disable-debug' '--enable-dca' '--disable-dv' '--enable-dvb' '--enable-dvdread' '--enable-dvdplay' '--enable-dvdnav' '--enable-esd' '--disable-fb' '--enable-ffmpeg' '--enable-flac' '--disable-fluidsynth' '--disable-galaktos' '--disable-ggi' '--disable-gnomevfs' '--enable-gnutls' '--enable-hal' '--disable-httpd' '--disable-id3tag' '--enable-jack' '--enable-caca' '--enable-libgcrypt' '--enable-notify' '--disable-libtar' '--disable-lirc' '--disable-live555' '--disable-lua' '--enable-mkv' '--enable-mmx' '--disable-mod' '--enable-mad' '--disable-libmpeg2' '--enable-mpc' '--enable-musicbrainz' '--enable-ncurses' '--enable-mozilla' 'XPIDL=/usr/lib/mozilla-firefox' 'MOZILLA_CONFIG=/usr/lib/mozilla-firefox/firefox-config' '--enable-ogg' '--disable-glx' '--disable-opengl' '--disable-optimize-memory' '--disable-oss' '--disable-png' '--disable-portaudio' '--enable-pulse' '--disable-pvr' '--disable-qt4' '--disable-rtsp' '--disable-realrtsp' '--enable-smb' '--disable-sdl' '--disable-sdl-image' '--disable-shout' '--enable-skins2' '--enable-speex' '--disable-sse' '--enable-sout' '--enable-svg' '--disable-svgalib' '--disable-taglib' '--enable-theora' '--disable-freetype' '--disable-twolame' '--disable-upnp' '--enable-v4l' '--enable-v4l2' '--enable-vcd' '--disable-vcdx' '--disable-vorbis' '--enable-loader' '--enable-wxwidgets' 'WX_CONFIG=/usr/lib/wx/config/gtk2-unicode-release-2.6' '--enable-x11' '--enable-screen' '--enable-x264' '--enable-xinerama' '--disable-libxml2' '--enable-xosd' '--disable-xvideo' '--disable-xvmc' '--disable-zvbi' '--disable-libvc1' '--disable-snapshot' '--disable-growl' '--disable-optimizations' '--enable-utf8' '--enable-libtool'
* ebuild.sh, line 513: Called die
* The specific snippet of code:
* die "econf failed"
* The die message:
* econf failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/media-video/vlc-0.9.0_alpha20080319/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/media-video/vlc-0.9.0_alpha20080319/temp/environment'.
*

* Messages for package media-video/vlc-0.9.0_alpha20080319:

* USE=skins requires truetype, skins will be disabled.
* USE=cdda requires cdio, cdda will be disabled.
* USE=bidi requires truetype, bidi will be disabled.
*
* ERROR: media-video/vlc-0.9.0_alpha20080319 failed.
* Call stack:
* ebuild.sh, line 49: Called src_compile
* environment, line 3620: Called econf 'src_compile' 'src_compile' '--enable-glide' '--enable-a52' '--enable-aa' '--enable-faad' '--enable-alsa' '--disable-altivec' '--disable-arts' '--disable-asademux' '--enable-bonjour' '--enable-fribidi' '--enable-cdda' '--enable-cddax' '--disable-libcddb' '--disable-libcdio' '--disable-csri' '--disable-daap' '--enable-dbus' '--enable-dbus-control' '--disable-dirac' '--disable-directfb' '--disable-dc1394' '--disable-debug' '--enable-dca' '--disable-dv' '--enable-dvb' '--enable-dvdread' '--enable-dvdplay' '--enable-dvdnav' '--enable-esd' '--disable-fb' '--enable-ffmpeg' '--enable-flac' '--disable-fluidsynth' '--disable-galaktos' '--disable-ggi' '--disable-gnomevfs' '--enable-gnutls' '--enable-hal' '--disable-httpd' '--disable-id3tag' '--enable-jack' '--enable-caca' '--enable-libgcrypt' '--enable-notify' '--disable-libtar' '--disable-lirc' '--disable-live555' '--disable-lua' '--enable-mkv' '--enable-mmx' '--disable-mod' '--enable-mad' '--disable-libmpeg2' '--enable-mpc' '--enable-musicbrainz' '--enable-ncurses' '--enable-mozilla' 'XPIDL=/usr/lib/mozilla-firefox' 'MOZILLA_CONFIG=/usr/lib/mozilla-firefox/firefox-config' '--enable-ogg' '--disable-glx' '--disable-opengl' '--disable-optimize-memory' '--disable-oss' '--disable-png' '--disable-portaudio' '--enable-pulse' '--disable-pvr' '--disable-qt4' '--disable-rtsp' '--disable-realrtsp' '--enable-smb' '--disable-sdl' '--disable-sdl-image' '--disable-shout' '--enable-skins2' '--enable-speex' '--disable-sse' '--enable-sout' '--enable-svg' '--disable-svgalib' '--disable-taglib' '--enable-theora' '--disable-freetype' '--disable-twolame' '--disable-upnp' '--enable-v4l' '--enable-v4l2' '--enable-vcd' '--disable-vcdx' '--disable-vorbis' '--enable-loader' '--enable-wxwidgets' 'WX_CONFIG=/usr/lib/wx/config/gtk2-unicode-release-2.6' '--enable-x11' '--enable-screen' '--enable-x264' '--enable-xinerama' '--disable-libxml2' '--enable-xosd' '--disable-xvideo' '--disable-xvmc' '--disable-zvbi' '--disable-libvc1' '--disable-snapshot' '--disable-growl' '--disable-optimizations' '--enable-utf8' '--enable-libtool'
* ebuild.sh, line 513: Called die
* The specific snippet of code:
* die "econf failed"
* The die message:
* econf failed
*
* If you need support, post the topmost build error, and the call stack if relevant.
* A complete build log is located at '/var/tmp/portage/media-video/vlc-0.9.0_alpha20080319/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/media-video/vlc-0.9.0_alpha20080319/temp/environment'.
*
Dell 4700 - Nvida
DualBoot Ubuntu 7.10 - Sabayon 3.4 [since 24-03-2008]
commandant
Baby Hen
 
Posts: 17
Joined: Wed Oct 03, 2007 19:13

Re: [en cours]Installer VLC

Postby turquoise » Mon Apr 07, 2008 3:41

Hmm, je vois que c'est une version alpha et des fois ça peut jouer des tours ou encore il peut y avoir des bugs quoique je ne pourrais pas confirmer que c'est à cause de ça que tu a le message d'erreur. Par contre, peut-être que ça pourrait payer d'essayer d'installer une autre version plus stable. Il y a deux autres versions dans portage en ce moment : la version 0.8.6e-r1 et la version 0.8.6f. Pour compiler une version particulière au lieu de compiler la version plus récente, la commande à passer à emerge serait emerge =media-video/vlc-[version de ton choix].
Ma philosophie d'apprentissage : essayer, et si ça casse, essayer de réparer.
My learning philosophy: try it, and if it breaks, try to fix it.
Image
turquoise
Old Dear Hen
 
Posts: 719
Joined: Wed Nov 15, 2006 1:14
Location: Abitibi-Témiscamingue!


Return to French

Who is online

Users browsing this forum: No registered users and 1 guest

cron